Reward

A Reward keeps track of a prize, discount or credit that someone has received. All reward types other than gift card integrated rewards can be cancelled using the impact.com API, or through the impact.com Admin portal, if they have not already been redeemed.

List an account's rewards

get

Looks up a list of single rewards.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key. Use this method of security only in server-to-server interactions.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

Query parameters
accountIdstringRequired

The ID of the account to look up

userIdstringOptional

Filters rewards by user.id.

rewardTypeFilterstring · enumOptional

Filters rewards by type.

Possible values:
Responses
200

A list of rewards

application/json

A list of Reward objects.

idstringOptional

The unique identifier for this reward

Example: 6a1702d0eb067e53ef6493bc
uniqueIdstring · nullableOptional

A secondary unique identifier for this reward.

dateCreatedinteger · int64Optional

Unix timestamp (milliseconds) when the reward record was created.

Example: 1779892944095
programIdstring · nullableOptional

The ID of the program this reward belongs to. Null if not associated with a specific program.

programRewardKeystring · nullableOptional

The program-level key identifying the reward configuration.

globalRewardKeystring · nullableOptional

The global key identifying the reward configuration.

referralIdstring · nullableOptional

The ID of the referral that triggered this reward. Null if the reward was created manually.

typestring · enumOptional

The type of reward.

Possible values:
dateGiveninteger · int64Optional

Unix timestamp (milliseconds) when this reward was earned.

dateExpiresinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when this reward expires. Null if the reward does not expire.

dateCancelledinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the reward was cancelled. Null if it has never been cancelled.

dateScheduledForinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the reward is scheduled to become available. Null if available immediately.

cancellablebooleanOptional

If a reward is cancellable then it may be revoked. If it has been cancelled then dateCancelled will be non-null.

rewardSourcestring · enumOptional

The type of the source of the reward.

Possible values:
unitstringOptional

An identifier for the unit of the reward. E.g. 'credit-in-cents', 'freemb', 'giftcard20', 'tshirt', 'freemonth' or '%'

discountPercentintegerOptional

The percent discount. E.g. 10 means 10% Works with: PCT_DISCOUNT

namestringOptional

The human-readable name of the reward.

descriptionstringOptional

The human-readable description of the reward. Works with: INTEGRATION

assignedCreditintegerOptional

The earned quantity of the reward. Works with: CREDIT

redeemedCreditintegerOptional

The redeemed quantity of the reward. Works with: CREDIT

currencystringOptional

For programs that require a currency. Works with: CREDIT

amountintegerOptional

The earned quantity of the reward. Works with: FUELTANK

fuelTankCodestringOptional

The fueltank code associated with this reward. Works with: FUELTANK

fueltankTypestring · enumOptional

The type of reward associated with this fueltank code. Works with: FUELTANK.

Possible values:
get
/{tenant_alias}/reward
cURL

Lookup a single reward

get

Used to lookup an individual reward using the ID of the reward. Works with: CREDIT, PCT_DISCOUNT, and FUELTANK.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key. Use this method of security only in server-to-server interactions.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

idstringRequired

The ID of the specific reward to lookup

Responses
200

Reward information

application/json

Rewards are used by impact.com to track the credits, discounts, gift cards and other prizes that a User earns.

idstringOptional

The unique identifier for this reward

Example: 6a1702d0eb067e53ef6493bc
uniqueIdstring · nullableOptional

A secondary unique identifier for this reward.

dateCreatedinteger · int64Optional

Unix timestamp (milliseconds) when the reward record was created.

Example: 1779892944095
programIdstring · nullableOptional

The ID of the program this reward belongs to. Null if not associated with a specific program.

programRewardKeystring · nullableOptional

The program-level key identifying the reward configuration.

globalRewardKeystring · nullableOptional

The global key identifying the reward configuration.

referralIdstring · nullableOptional

The ID of the referral that triggered this reward. Null if the reward was created manually.

typestring · enumOptional

The type of reward.

Possible values:
dateGiveninteger · int64Optional

Unix timestamp (milliseconds) when this reward was earned.

dateExpiresinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when this reward expires. Null if the reward does not expire.

dateCancelledinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the reward was cancelled. Null if it has never been cancelled.

dateScheduledForinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the reward is scheduled to become available. Null if available immediately.

cancellablebooleanOptional

If a reward is cancellable then it may be revoked. If it has been cancelled then dateCancelled will be non-null.

rewardSourcestring · enumOptional

The type of the source of the reward.

Possible values:
unitstringOptional

An identifier for the unit of the reward. E.g. 'credit-in-cents', 'freemb', 'giftcard20', 'tshirt', 'freemonth' or '%'

discountPercentintegerOptional

The percent discount. E.g. 10 means 10% Works with: PCT_DISCOUNT

namestringOptional

The human-readable name of the reward.

descriptionstringOptional

The human-readable description of the reward. Works with: INTEGRATION

assignedCreditintegerOptional

The earned quantity of the reward. Works with: CREDIT

redeemedCreditintegerOptional

The redeemed quantity of the reward. Works with: CREDIT

currencystringOptional

For programs that require a currency. Works with: CREDIT

amountintegerOptional

The earned quantity of the reward. Works with: FUELTANK

fuelTankCodestringOptional

The fueltank code associated with this reward. Works with: FUELTANK

fueltankTypestring · enumOptional

The type of reward associated with this fueltank code. Works with: FUELTANK.

Possible values:
get
/{tenant_alias}/reward/{id}
cURL

Redeem a single reward

post

Used to redeem an individual credit earned from a referral program. Works with: CREDIT.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key. Use this method of security only in server-to-server interactions.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

idstringRequired

The ID of the specific reward to be redeemed

Body

A request to debit a single reward

amountintegerRequired

The amount of credit to be debitted.

Example: 200
unitstringRequired

The type of credit to be debitted. E.g. "free-months" or "cents"

Example: cents
Responses
200

Reward debitted

application/json

Details about a successful Reward Balance Debit transaction.

creditRedeemedintegerOptional

The amount of credit that was just debitted.

Example: 200
creditAvailableintegerOptional

The remaining credit in this account of the same unit type.

Example: 1800
unitstringOptional

The type of credit that was just debitted.

Example: cents
post
/{tenant_alias}/credit/{id}/redeem
cURL

Cancel a single reward

post

Used to cancel an individual reward earned from a referral program. Works with: CREDIT, PCT_DISCOUNT, and FUELTANK.

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key. Use this method of security only in server-to-server interactions.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

idstringRequired

The ID of the specific reward to be cancelled.

Responses
200

Reward cancelled

application/json

Rewards are used by impact.com to track the credits, discounts, gift cards and other prizes that a User earns.

idstringOptional

The unique identifier for this reward

Example: 6a1702d0eb067e53ef6493bc
uniqueIdstring · nullableOptional

A secondary unique identifier for this reward.

dateCreatedinteger · int64Optional

Unix timestamp (milliseconds) when the reward record was created.

Example: 1779892944095
programIdstring · nullableOptional

The ID of the program this reward belongs to. Null if not associated with a specific program.

programRewardKeystring · nullableOptional

The program-level key identifying the reward configuration.

globalRewardKeystring · nullableOptional

The global key identifying the reward configuration.

referralIdstring · nullableOptional

The ID of the referral that triggered this reward. Null if the reward was created manually.

typestring · enumOptional

The type of reward.

Possible values:
dateGiveninteger · int64Optional

Unix timestamp (milliseconds) when this reward was earned.

dateExpiresinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when this reward expires. Null if the reward does not expire.

dateCancelledinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the reward was cancelled. Null if it has never been cancelled.

dateScheduledForinteger · int64 · nullableOptional

Unix timestamp (milliseconds) when the reward is scheduled to become available. Null if available immediately.

cancellablebooleanOptional

If a reward is cancellable then it may be revoked. If it has been cancelled then dateCancelled will be non-null.

rewardSourcestring · enumOptional

The type of the source of the reward.

Possible values:
unitstringOptional

An identifier for the unit of the reward. E.g. 'credit-in-cents', 'freemb', 'giftcard20', 'tshirt', 'freemonth' or '%'

discountPercentintegerOptional

The percent discount. E.g. 10 means 10% Works with: PCT_DISCOUNT

namestringOptional

The human-readable name of the reward.

descriptionstringOptional

The human-readable description of the reward. Works with: INTEGRATION

assignedCreditintegerOptional

The earned quantity of the reward. Works with: CREDIT

redeemedCreditintegerOptional

The redeemed quantity of the reward. Works with: CREDIT

currencystringOptional

For programs that require a currency. Works with: CREDIT

amountintegerOptional

The earned quantity of the reward. Works with: FUELTANK

fuelTankCodestringOptional

The fueltank code associated with this reward. Works with: FUELTANK

fueltankTypestring · enumOptional

The type of reward associated with this fueltank code. Works with: FUELTANK.

Possible values:
post
/{tenant_alias}/reward/{id}/cancel
cURL

Create a single reward

post

Used to create a reward for a specified user. Note that the reward will only be redeemed automatically if the default program supports automatic redemption for the provided reward type (see the install guides for more on automatic redemption).

Authorizations
AuthorizationstringRequired

Authorize your requests using a tenant's API Key. Use this method of security only in server-to-server interactions.

Path parameters
tenant_aliasstringRequired

Tenant being referenced. E.g. "aboih12h16t" or "test_abo912126tastastt"

userIdstringRequired

The ID of the user that will be given the reward.

accountIdstringRequired

The ID of the account that will be given the reward.

Body

Details of a new reward to create.

typestring · enumOptional

The type of reward.

Example: PCT_DISCOUNTPossible values:
dateExpiresinteger · int64Optional

Unix timestamp (milliseconds) when this reward is set to expire.

Example: 1471028988000
dateScheduledForinteger · int64Optional

Unix timestamp (milliseconds) when the reward is scheduled to become available.

cancellablebooleanOptional

If a reward is cancellable then it may be revoked. If it has been cancelled then dateCancelled will be non-null.

Example: true
unitstringOptional

An identifier for the unit of the reward. E.g. 'credit-in-cents', 'freemb', 'giftcard20', 'tshirt', 'freemonth' or '%'. Works with: CREDIT

discountPercentintegerOptional

The percent discount. E.g. 10 means 10% Works with: PCT_DISCOUNT

Example: 15
assignedCreditintegerOptional

The earned quantity of the reward. Works with: CREDIT

currencystringOptional

For programs that require a currency. Works with: CREDIT

fuelTankTypestring · enumOptional

The type of reward associated with this fueltank code. Works with: FUELTANK

Possible values:
fuelTankCodestringOptional

The fueltank code associated with this reward. Works with: FUELTANK.

amountintegerOptional

The earned quantity of the reward. Works with: FUELTANK

Responses
post
/{tenant_alias}/rewards/account/{accountId}/user/{userId}
cURL

Last updated